#pragma once

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <unistd.h>

#include "amarisoft/trx_driver.h"
#include "common/circular_buffer.h"

struct TRXVCRContext {
	struct CommonCBBuffer *play_buffer;
	TRXComplex *record_buffer;

	trx_timestamp_t last_timestamp;

	int record_file_length;
	int recorded_samples;
	char *record_file_path;
	char *play_file_path;
};
